package com.bocloud.nms.model.veeam.job;

public class EmailSettingModel {

    private Boolean isEnabled;
    private String smtpServerName;
    private AdvancedSmtpOptionModel advancedSmtpOptions;
    private String from;
    private String to;
    private String subject;
    private String sendDailyReportsAt;
    private Boolean notifyOnSuccess;
    private Boolean notifyOnWarning;
    private Boolean notifyOnFailure;
    private Boolean notifyOnLastRetry;

    public Boolean getIsEnabled() {
        return isEnabled;
    }

    public void setIsEnabled(Boolean enabled) {
        isEnabled = enabled;
    }

    public String getSmtpServerName() {
        return smtpServerName;
    }

    public void setSmtpServerName(String smtpServerName) {
        this.smtpServerName = smtpServerName;
    }

    public AdvancedSmtpOptionModel getAdvancedSmtpOptions() {
        return advancedSmtpOptions;
    }

    public void setAdvancedSmtpOptions(AdvancedSmtpOptionModel advancedSmtpOptions) {
        this.advancedSmtpOptions = advancedSmtpOptions;
    }

    public String getFrom() {
        return from;
    }

    public void setFrom(String from) {
        this.from = from;
    }

    public String getTo() {
        return to;
    }

    public void setTo(String to) {
        this.to = to;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public String getSendDailyReportsAt() {
        return sendDailyReportsAt;
    }

    public void setSendDailyReportsAt(String sendDailyReportsAt) {
        this.sendDailyReportsAt = sendDailyReportsAt;
    }

    public Boolean getNotifyOnSuccess() {
        return notifyOnSuccess;
    }

    public void setNotifyOnSuccess(Boolean notifyOnSuccess) {
        this.notifyOnSuccess = notifyOnSuccess;
    }

    public Boolean getNotifyOnWarning() {
        return notifyOnWarning;
    }

    public void setNotifyOnWarning(Boolean notifyOnWarning) {
        this.notifyOnWarning = notifyOnWarning;
    }

    public Boolean getNotifyOnFailure() {
        return notifyOnFailure;
    }

    public void setNotifyOnFailure(Boolean notifyOnFailure) {
        this.notifyOnFailure = notifyOnFailure;
    }

    public Boolean getNotifyOnLastRetry() {
        return notifyOnLastRetry;
    }

    public void setNotifyOnLastRetry(Boolean notifyOnLastRetry) {
        this.notifyOnLastRetry = notifyOnLastRetry;
    }

    @Override
    public String toString() {
        return "EmailSettingModel{" +
                "isEnabled=" + isEnabled +
                ", smtpServerName='" + smtpServerName + '\'' +
                ", advancedSmtpOptions=" + advancedSmtpOptions +
                ", from='" + from + '\'' +
                ", to='" + to + '\'' +
                ", subject='" + subject + '\'' +
                ", sendDailyReportsAt='" + sendDailyReportsAt + '\'' +
                ", notifyOnSuccess=" + notifyOnSuccess +
                ", notifyOnWarning=" + notifyOnWarning +
                ", notifyOnFailure=" + notifyOnFailure +
                ", notifyOnLastRetry=" + notifyOnLastRetry +
                '}';
    }
}
